Bug 496990 - gpk-updates-icon temporarily forgets about pending updates after logging out and back in
gpk-updates-icon temporarily forgets about pending updates after logging out ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-21 18:39 EDT by Bastien Nocera
Modified: 2010-06-28 08:09 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 08:09:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2009-04-21 18:39:40 EDT
gnome-packagekit-2.27.2-0.2.20090414git.fc11.i586

1. Had a session with the gpk-update-icon showing I had updates
2. Install some RPMs by hand from koji
3. Restart system, no more PK icon showing up
Comment 1 Richard Hughes 2009-04-22 05:12:31 EDT
Right, by design. The update icon will only check once per policy time, by default once per day, not at every login. If you want to check on every login, just set /apps/gnome-packagekit/force_get_updates_login to TRUE for your desired behaviour.

Does this fix this?
Comment 2 Bastien Nocera 2009-04-22 05:59:06 EDT
My problem is that the system _knows_ that I have to do updates from the last time it checked. Why can't it remember across session restarts without doing expensive checks?
Comment 3 Richard Hughes 2009-06-03 05:30:57 EDT
We don't save session state -- the only way to make system state hang around for longer is to change the packagekitd timeout value. It sounds increasing the daemon timeout and enabling /apps/gnome-packagekit/force_get_updates_login should do essentially what you want.
Comment 4 Bug Zapper 2009-06-09 10:22:07 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Christopher Beland 2010-01-08 03:02:00 EST
I experienced some disorientation with this default in Fedora 12, as well.

It can take a while for users to figure out that this happens because of logging out and logging back in.  At first I did notice that the "updates pending" icon occasionally disappeared, but I assumed PackageKit was just broken in some way.  It's intuitive that if there are updates pending, the system should randomly (or methodically) forget about them and then remember them later.  This was compounded because the icon doesn't show up even after I use "yum update" to check for updates, which it used to, or gpk-update-viewer.  (Which was a bit annoying when the system got hosed, but it was comforting to know that if I chose to cancel the update, the system would leave up the reminder icon for me.)

If the system did save its state (so that the icon would appear immediately upon login without an expensive network check) I think it would inspire more confidence in users that the system is functioning properly, and do a better job encouraging them to install security updates and the like.  (Especially in a use case where you're on a laptop and you log in and out several times a day, but don't necessarily stay logged in all that long in any one given session.)  

It would also be nice for yum, gpk-update-viewer, and gpk-update-icon to cooperate better - is that simply a matter of reverting to previous behavior patterns?
Comment 6 Bug Zapper 2010-04-27 09:52:06 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2010-06-28 08:09:36 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.